variable "wait_on" {
  type        = any
  description = "Resources to wait on"
  default     = true
}

variable "org_id" {
  type        = string
  description = "Organisation Id"
}

variable "client_id" {
  type        = string
  description = "Google Client ID"
}

variable "client_secret" {
  type        = string
  description = "Google Client Secret"
}

variable "options" {
  type = object({
    scopes = list(string)
    is_linking_allowed  = bool
    is_creation_allowed = bool
    is_auto_creation    = bool
    is_auto_update      = bool
    auto_linking        = string
  })
  default = {
    scopes = ["openid", "profile", "email"],
    is_linking_allowed  = true
    is_creation_allowed = true
    is_auto_creation    = true
    is_auto_update      = true
    auto_linking        = "AUTO_LINKING_OPTION_USERNAME"
  }
}

variable "domain" {
  type = string
}
